package id.iptek.utms.agent.model;

import java.io.Serializable;
import java.util.Date;

/**
 *
 * @author Jaka
 */
public class PendingDeleteTask implements Serializable {

    private String terminalSN;
    private String id;
    private String name;
    private Date deleteTime;
    private Date lastBroadcastTs;
    private ApplicationSimple app;
    private int activity;
    private String logId;

    public PendingDeleteTask() {
    }

    /**
     * @return the terminalSN
     */
    public String getTerminalSN() {
        return terminalSN;
    }

    /**
     * @param terminalSN the terminalSN to set
     */
    public void setTerminalSN(String terminalSN) {
        this.terminalSN = terminalSN;
    }

    /**
     * @return the id
     */
    public String getId() {
        return id;
    }

    /**
     * @param id the id to set
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the deleteTime
     */
    public Date getDeleteTime() {
        return deleteTime;
    }

    /**
     * @param deleteTime the deleteTime to set
     */
    public void setDeleteTime(Date deleteTime) {
        this.deleteTime = deleteTime;
    }

    /**
     * @return the lastBroadcastTs
     */
    public Date getLastBroadcastTs() {
        return lastBroadcastTs;
    }

    /**
     * @param lastBroadcastTs the lastBroadcastTs to set
     */
    public void setLastBroadcastTs(Date lastBroadcastTs) {
        this.lastBroadcastTs = lastBroadcastTs;
    }

    /**
     * @return the app
     */
    public ApplicationSimple getApp() {
        return app;
    }

    /**
     * @param app the app to set
     */
    public void setApp(ApplicationSimple app) {
        this.app = app;
    }

    /**
     * @return the activity
     */
    public int getActivity() {
        return activity;
    }

    /**
     * @param activity the activity to set
     */
    public void setActivity(int activity) {
        this.activity = activity;
    }

    public String getLogId() {
        return logId;
    }

    public void setLogId(String logId) {
        this.logId = logId;
    }

}
